#include "GUIWidget.h"

gui::AGUIWidget::AGUIWidget(int x, int y, int width, int height, int layer) : layer(layer) {
    this->position.x = x;
    this->position.y = y;
    this->size.width = width;
    this->size.height = height;
}

int gui::AGUIWidget::getLayer() const {
    return this->layer;
}

void gui::AGUIWidget::setLayer(int newLayer) {
    this->layer = newLayer;
}

GuiWidgetPosition gui::AGUIWidget::getPosition() const {
    return this->position;
}

void gui::AGUIWidget::setPosition(GuiWidgetPosition pos) {
    this->position = pos;
}

GuiWidgetSize gui::AGUIWidget::getSize() const {
    return this->size;
}

void gui::AGUIWidget::setSize(GuiWidgetSize newSize) {
    this->size = newSize;
}

